#!/usr/bin/python

import sys
import json

def walk_dict(d):
    result = {}

    for (k, v) in d.iteritems():
        if k == 'line_nubmer':
            nk = 'line_number'
        else:
            nk = k

        result[nk] = walk(v)

    return result

def walk(o):
    if type(o) == dict:
        return walk_dict(o)
    elif type(o) == list:
        return map(walk, o)
    else:
        return o

if __name__ == '__main__':
    with open(sys.argv[1], 'r') as fh:
        json_obj = json.load(fh)

    json_obj = walk(json_obj)

    with open(sys.argv[1], 'w') as fh:
        json.dump(json_obj, fh, indent=2)
